<template>
    <div>
        <p><b>User name : </b>{{ names }}</p>
    </div>
</template>

<script>
    export default {
        data () {
            return{
                names: ''
            }
        },
        mounted () {
          this.getUsers();
        },
        methods: {
            getUsers () {
                let token =  JSON.parse(localStorage.getItem('token'));
                let self = this;
                const header = {'Authorization': 'Bearer ' + token};
                this.axios.get('users', { headers: header }).then(function (response) {
                    self.names = response.data.name
                }).catch((e) => {
                    console.log(e)
                })
            },
        },
    }
</script>